## ignition-gui 6.3.0%2Bds

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

# Do not run tests that require system inteallation or tests that don't run
# well in xvfb
override_dh_auto_test:
	true
	# All the tries to run at least part of the testing suite failed
	# leave the code commented here for new tries
#	xvfb-run --auto-servernum --server-args="-screen 0 1024x768x24" \
#				dh_auto_test --no-parallel -- \
#					ARGS='-E UNIT_Application_TEST\|UNIT_Helpers_TEST\|INTEGRATION_ExamplesBuild_TEST\|UNIT_ign_TEST\|INTEGRATION_camera_tracking\|INTEGRATION_minimal_scene\|INTEGRATION_transport_scene_manager\|INTEGRATION_marker_manager\|INTEGRATION_scene3d'

%:
	dh $@
