=== test/performance/CMakeLists.txt ===
ign_get_sources(tests)

ign_build_tests(TYPE PERFORMANCE SOURCES ${tests})
