=== debian/changelog ===
ignition-gui (6.3.0+ds-0ubuntu1) jammy; urgency=medium

  * New upstream version 6.3.0+ds
    (LP: #1960260)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 31 Jan 2022 22:46:31 +0000
