=== debian/control ===
Source: ignition-gui
Maintainer: Ubuntu developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               pkg-config,
               debhelper-compat (= 13),
               doxygen,
               ignition-tools,
               libeigen3-dev,
               libignition-cmake-dev (>= 2.8.0),
               libignition-math-dev (>= 6.5.0),
               libignition-common-dev (>= 4.1.0),
               libignition-plugin-dev,
               libignition-rendering-ogre1-dev,
               libignition-transport-dev (>= 11.0.0),
               libignition-msgs-dev (>= 8.2.0),
               libgtest-dev,
               libtinyxml2-dev,
               libprotoc-dev,
               libprotobuf-dev,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtquickcontrols2-5-dev,
               qml-module-qt-labs-folderlistmodel,
               qml-module-qt-labs-platform,
               qml-module-qt-labs-settings,
               qml-module-qtcharts,
               qml-module-qtgraphicaleffects,
               qml-module-qtqml-models2,
               qml-module-qtquick-controls,
               qml-module-qtquick-controls2,
               qml-module-qtquick-dialogs,
               qml-module-qtquick-layouts,
               qml-module-qtquick-templates2,
               qml-module-qtquick-window2,
               qml-module-qtquick2,
               xauth,
               xvfb
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/science-team/ignition-gui
Vcs-Git: https://salsa.debian.org/science-team/ignition-gui.git
Homepage: https://ignitionrobotics.org/libs/gui

Package: libignition-gui6-6
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: ignition-tools
Multi-Arch: same
Description: Ignition Gui classes and functions for robot apps - Shared library
 Ignition Gui is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Package contains the main libraries

Package: libignition-gui-dev
Architecture: any
Section: libdevel
Depends: libtinyxml2-dev,
         libprotoc-dev,
         libprotobuf-dev,
         qtbase5-dev,
         qtdeclarative5-dev,
         qtquickcontrols2-5-dev,
         qml-module-qt-labs-folderlistmodel,
         qml-module-qt-labs-platform,
         qml-module-qt-labs-settings,
         qml-module-qtcharts,
         qml-module-qtgraphicaleffects,
         qml-module-qtlocation,
         qml-module-qtpositioning,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         qml-module-qtquick-templates2,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         libeigen3-dev,
         libignition-cmake-dev (>= 2.8.0),
         libignition-math-dev (>= 6.5.0),
         libignition-common-dev (>= 4.1.0),
         libignition-plugin-dev,
         libignition-rendering-ogre1-dev,
         libignition-transport-dev (>= 11.0.0),
         libignition-msgs-dev (>= 8.2.0),
         libignition-gui6-6 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Gui classes and functions for robot apps - Development files
 Ignition Gui is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Package for development libraries and headers.
